An experiment in building a better XMPP client. This time using Flutter.
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
Alexander "PapaTutuWawa 474359231b ui: Fix conversation page transparency 4 months ago
android ui: Update the foreground notification icon 9 months ago
assets meta: Implement user blocking 9 months ago
ios ui: Fix icon again 12 months ago
lib ui: Fix conversation page transparency 4 months ago
test test: Fix test failures 4 months ago
thirdparty build: Improve even more 12 months ago
.gitignore build: Use build_runner for the data classes and licenses 7 months ago
.gitlint style: Update gitlint 8 months ago
.gitmodules build: Improve even more 12 months ago
.metadata Initial commit 12 months ago
LICENSE Initial commit 12 months ago
README.md docs: Add the Moxxy MUC 4 months ago
analysis_options.yaml style: Use those settings permanently 5 months ago
flake.lock meta: Fix pubspec sdk version constraints 8 months ago
flake.nix meta: Fix pubspec sdk version constraints 8 months ago
moxxy.doap meta: Add missing xmlns declarations 8 months ago
pubspec.lock meta: Update moxdns to 0.1.3 4 months ago
pubspec.yaml meta: Update moxdns to 0.1.3 4 months ago

README.md

Moxxy

An experimental XMPP client that tries to be as easy, modern and beautiful as possible.

The code is also available on codeberg.

Screenshots

screenshots

Developing and Building

Clone using git clone --recursive https://github.com/Polynomdivision/moxxyv2.git.

In order to build Moxxy, you need to have Flutter set up. Due to not yet merged code in Flutter, you are required to use a version of 2.13.0-0.1.pre or greater. If you are running NixOS or using Nix, you can also use the Flake at the root of the repository by running nix develop to get a development shell including everything that is needed.

Before building Moxxy, you need to generate all needed data classes. To do this, run flutter pub get to install all dependencies. Then run flutter pub run build_runner build to generate state classes, data classes and the database schemata. After that is done, you can either build the app with flutter build apk --debug to create a debug build, flutter build apk --release to create a relase build or just run the app in development mode with flutter run.

After implementing a change or a feature, please ensure that nothing is broken by the change by running flutter test afterwards. Also make sure that the code passes the linter by running flutter analyze. This project also uses gitlint to ensure uniform formatting of commit messages.

Also, feel free to join the development chat at moxxy@muc.moxxy.org.

A Bit of History

This project is the successor of moxxyv1, which was written in React Native and abandoned due to various technical issues.

License

See ./LICENSE.

Special Thanks

  • New logo designed by Synoh